/*
 * spi_init.c
 *
 * Created: 30.06.2015 13:14:23
 *  Author: kspannaus
 */ 

#include <avr/io.h>
#include "dogm-graphic.h"

#define SPI_SS		PB2
#define SPI_MOSI	PB3
#define SPI_MISO	PB4
#define SPI_SCK		PB5

 void init_spi_lcd() {
	
	DDRB  = (1 << SPI_MOSI) | (1 << SPI_SCK) | (1 << SPI_SS);
	PORTB &=~(1<<SPI_MISO);

	SPCR = 0 << SPIE | 1 << SPE | 0 << DORD | 1 << MSTR | 1 << CPOL | 1 << CPHA | 0 << SPR1 | 0 << SPR0;
	SPSR = 1 << SPI2X;
	SPDR = LCD_NO_OP; //Do not use 0 here, only LCD_NOP is allowed!
 }